Subject: Re: [dhcwg] dhc WG last call on draft-ietf-dhc-subnet-alloc-04(resend to identify intended publication status)

From: Richard Johnson <[email-masked]>
Date: Fri, 4 May 2007 15:43:59 -0700

Sorry for being rather slow addressing this.

I see no reason why the client can't include the "Subnet-Information  
Suboption" along with the "Subnet Prefix Information" section, thus  
including a suggested subnet.  I can add text saying this is possible.

/raj

On Feb 28, 2007, at 10:13 AM, Templin, Fred L wrote:

> Last-call comment for the authors - maybe I missed
> something, but in Section 4.1 of this document I see
> no provision for the client to suggest to the server
> specific IP subnet prefixes that it would prefer to
> receive during the DISCOVER/OFFER/REQUEST/ACK exchange.
>
> If the client knows in advance the specific IP subnet
> prefixes it would prefer to receive, *and* has reason
> to believe that the server would be willing to assign
> them, why can't the client include the prefixes in
> Subnet Allocation options in the DISCOVER message?
>
> Thanks - Fred
> [email-masked]
>
>> -----Original Message-----
>> From: Ralph Droms [mailto:[email-masked]]
>> Sent: Wednesday, February 28, 2007 7:02 AM
>> To: dhcwg
>> Cc: Mark Townsley (townsley); Stig Venaas
>> Subject: Re: [dhcwg] dhc WG last call on
>> draft-ietf-dhc-subnet-alloc-04(resend to identify intended
>> publication status)
>>
>> The WG last call on the document "Subnet Allocation Option"
>> <draft-ietf-dhc-subnet-alloc-04.txt> indicates the intended
>> publication
>> status as Informational.  That intended status was a mistake
>> on my part.
>> This document was originally taken on as a dhc WG work item
>> as a standards
>> track document and has been reviewed by the WG with that
>> intended status in
>> mind.  The work predates the initiative defined in RFC 3942
>> to describe
>> existing uses of options with option codes in the range 128 to 223;
>> therefore, draft-ietf-dhc-subnet-alloc-04.txt should continue to be
>> considered for standards track publication.  Note that RFC
>> 3942 itself is
>> silent on the publication status of any RFCs related to the
>> initiative to
>> document the options using option codes in the range 128 to 223.
>>
>> So, please respond to this WG last call for comments on the
>> publication of
>> "Subnet Allocation Option" <draft-ietf-dhc-subnet-alloc-04.txt> as a
>> Proposed Standard.  The last call will conclude at 0900EST on
>> March 12,
>> 2007.
>>
>> - Ralph
>>
>>
>> _______________________________________________
>> dhcwg mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/dhcwg
>>
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 7 May 2007 14:40:16 -0700

Focusing only on the technical for now, this approach
sounds fine to me.

Thanks - Fred

> From: Richard Johnson [mailto:[email-masked]] 
> Sent: Friday, May 04, 2007 3:44 PM
> To: Templin, Fred L
> Cc: Ralph Droms; dhcwg; Mark Townsley (townsley); Stig Venaas
> >> "Subnet Allocation Option" 
> <draft-ietf-dhc-subnet-alloc-04.txt> as a

---

From: Richard Johnson <[email-masked]>
Date: Tue, 22 May 2007 12:27:51 -0700

Sorry but this needs a followup...

It's been such a long time since I wrote this draft that I forgot  
that this issue has already been addressed in the draft:

>    The Client MAY also include the Subnet-Information suboption in  
> order
>    to request a particular subnet.  In this case, the Client SHOULD  
> only
>    include one (1) Subnet-Request suboption, since it would  
> otherwise be
>    unclear which Subnet-Information suboption refered to which Subnet-
>    Request suboption.  Multiple subnet requests can be made by sending
>    multiple DHCPDISCOVER packets.

So, Ralph and Stig, I think that addresses the one comment made so  
far (unless I'm misunderstanding the comment), and no further  
revision is needed.

If we're going to run this through WG LC yet once again, I'm thinking  
I should probably present at this next IETF a few slides talking  
about how the option works, what it can do, etc.?

/raj

On May 4, 2007, at 3:43 PM, Richard Johnson wrote:

> I see no reason why the client can't include the "Subnet- 
> Information Suboption" along with the "Subnet Prefix Information"  
> section, thus including a suggested subnet.  I can add text saying  
> this is possible.
>
> /raj
>
>